Subject: Re: bug#24175: artist mode rectangle shows ugly in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Aug 2016 17:00:55 +0300

> From: Dean Chen <[email-masked]>
> Date: Sun, 7 Aug 2016 13:22:12 +0800
> 
> I am trying draw rectangle today in Emacs with artist mode. It looks weird, see following screenshot.
> Inline image 1
> 
> But if I open this text file with chromium browser instead of emacs, it looks normally. I guess the way that
> Emacs render this rectangle has a bug.

I think the problem is that your default font is a proportional one.
You should use a fixed-pitch font when you work with artist mode.